XScreenSaver(1)

NAME
glforestfire - draws a GL animation of sprinkling fire-like 3D triangles

SYNOPSIS
glforestfire [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--count number_of_particles] [--trees number_of_trees] [--size viewport_size] [--texture] [--no-texture] [--shadows] [--no-shadows] [--fog] [--no-fog] [--wireframe] [--no-wireframe] [--wander] [--no-wander] [--trackmouse] [--no-trackmouse] [--fps]

DESCRIPTION
The glforestfire program draws an animation of sprinkling fire-like 3D triangles in a landscape filled with trees.

OPTIONS
glforestfire accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fps
    Display the current frame rate, CPU load, and polygon count.

--trees number_of_trees
    Specify how much trees are drawn in the landscape.

--count number_of_particles
    Specify how much fire particles are drawn. A very special case is 0 wich means that you get rain !

--size viewport_size
    Viewport of GL scene is specified size if greater than 32 and less than screensize. Default value is 0, meaning full screensize.

--texture
    Show a textured ground and the trees. This is the default.

--no-texture
    Disables texturing the landscape. This implies that no trees are drawn.

--shadows
    Show a shadow for each particle on the ground. This is the default.

--no-shadows
    Disables the drawing of the shadows.

--fog
    Show a fog in the distance.

--no-fog
    Disables the fog. This is the default.

--wander
    Move the observer around the landscape. This is the default.

--no-wander
    Keep the fire centered on the screen.

--trackmouse
    Let the mouse be a joystick to change the view of the landscape. This implies --no-wander.

--no-trackmouse
    Disables mouse tracking. This is the default.

--wire
    Draw a wireframe rendition of the fire: this will consist only of single-pixel lines for the triangles.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001 by Eric Lassauge. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. The original code for this hack was written by David Bucciarelli (tech.hmw@plus.it) and could be found in the demo package of Mesa (Mesa-3.2/3Dfx/demos/). This hack is the result of the merge of two of the David's demos (fire and rain).

AUTHOR
David Bucciarelli <tech.hmw@plus.it> Eric Lassauge <lassauge@mail.dotcom.fr>